package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.DingDateTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 考勤打卡表
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
@ApiModel(value="TBDingHistory对象", description="考勤打卡表")
public class TBDingHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考勤id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long dingId;

    @ApiModelProperty(value = "派单号")
    private String sopNo;

    @ApiModelProperty(value = "签到日期")
    private String signDate;

    @ApiModelProperty(value = "日期类型：WEEKDAY(工作日),WEEKEND(周末),LEGAL_HOLIDAYS(法定节假日)")
    private DingDateTypeEnum dateType;

    @ApiModelProperty(value = "签到时间")
    private Long signTime;

    @ApiModelProperty(value = "坐标轴X")
    private String axisX;

    @ApiModelProperty(value = "坐标轴Y")
    private String axisY;

    @ApiModelProperty(value = "人脸识别是否启用，0：未启用，1：启用")
    private Boolean faceOpen;

    @ApiModelProperty(value = "人脸识别是否通过，0：未通过，1：通过")
    private Boolean facePass;

    @ApiModelProperty(value = "抓拍照片地址")
    private String facePhotoPath;

    @ApiModelProperty(value = "对比分数")
    private BigDecimal matchScore;

    @ApiModelProperty(value = "创建人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDingId() {
        return dingId;
    }

    public void setDingId(Long dingId) {
        this.dingId = dingId;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public String getSignDate() {
        return signDate;
    }

    public void setSignDate(String signDate) {
        this.signDate = signDate;
    }

    public DingDateTypeEnum getDateType() {
        return dateType;
    }

    public void setDateType(DingDateTypeEnum dateType) {
        this.dateType = dateType;
    }

    public Long getSignTime() {
        return signTime;
    }

    public void setSignTime(Long signTime) {
        this.signTime = signTime;
    }

    public String getAxisX() {
        return axisX;
    }

    public void setAxisX(String axisX) {
        this.axisX = axisX;
    }

    public String getAxisY() {
        return axisY;
    }

    public void setAxisY(String axisY) {
        this.axisY = axisY;
    }

    public Boolean getFaceOpen() {
        return faceOpen;
    }

    public void setFaceOpen(Boolean faceOpen) {
        this.faceOpen = faceOpen;
    }

    public Boolean getFacePass() {
        return facePass;
    }

    public void setFacePass(Boolean facePass) {
        this.facePass = facePass;
    }

    public String getFacePhotoPath() {
        return facePhotoPath;
    }

    public void setFacePhotoPath(String facePhotoPath) {
        this.facePhotoPath = facePhotoPath;
    }

    public BigDecimal getMatchScore() {
        return matchScore;
    }

    public void setMatchScore(BigDecimal matchScore) {
        this.matchScore = matchScore;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
